Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class PaymentReturnReason5

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.PaymentReturnReason5

    public class PaymentReturnReason5
    extends java.lang.Object

Java class for PaymentReturnReason5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentReturnReason5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlBkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}BankTransactionCodeStructure4" minOccurs="0"/>
             <element name="Orgtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}PartyIdentification135" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ReturnReason5Choice" minOccurs="0"/>
             <element name="AddtlInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max105Text" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<java.lang.String>` `addtlInf`
`protected BankTransactionCodeStructure4` `orgnlBkTxCd`
`protected PartyIdentification135` `orgtr`
`protected ReturnReason5Choice` `rsn`

### Constructor Summary

Constructors
`PaymentReturnReason5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getAddtlInf()` Gets the value of the addtlInf property.
`BankTransactionCodeStructure4` `getOrgnlBkTxCd()` Gets the value of the orgnlBkTxCd property.
`PartyIdentification135` `getOrgtr()` Gets the value of the orgtr property.
`ReturnReason5Choice` `getRsn()` Gets the value of the rsn property.
`void` `setOrgnlBkTxCd​(BankTransactionCodeStructure4 value)` Sets the value of the orgnlBkTxCd property.
`void` `setOrgtr​(PartyIdentification135 value)` Sets the value of the orgtr property.
`void` `setRsn​(ReturnReason5Choice value)` Sets the value of the rsn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgnlBkTxCd

    protected BankTransactionCodeStructure4 orgnlBkTxCd

#### orgtr

    protected PartyIdentification135 orgtr

#### rsn

    protected ReturnReason5Choice rsn

#### addtlInf

    protected java.util.List<java.lang.String> addtlInf

### Constructor Detail

#### PaymentReturnReason5

    public PaymentReturnReason5()

### Method Detail

#### getOrgnlBkTxCd

    public BankTransactionCodeStructure4 getOrgnlBkTxCd()

Gets the value of the orgnlBkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure4`

#### setOrgnlBkTxCd

    public void setOrgnlBkTxCd​(BankTransactionCodeStructure4 value)

Sets the value of the orgnlBkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure4`

#### getOrgtr

    public PartyIdentification135 getOrgtr()

Gets the value of the orgtr property.

Returns:
  possible object is `PartyIdentification135`

#### setOrgtr

    public void setOrgtr​(PartyIdentification135 value)

Sets the value of the orgtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getRsn

    public ReturnReason5Choice getRsn()

Gets the value of the rsn property.

Returns:
  possible object is `ReturnReason5Choice`

#### setRsn

    public void setRsn​(ReturnReason5Choice value)

Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `ReturnReason5Choice`

#### getAddtlInf

    public java.util.List<java.lang.String> getAddtlInf()

Gets the value of the addtlInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addtlInf property.

For example, to add a new item, do as follows:

        getAddtlInf().add(newItem);

Objects of the following type(s) are allowed in the list `String`